import { defineStore } from "pinia";
import piniaPersistConfig from "@/config/piniaPersist";

export const useStatusStore = defineStore({
    id: "wms-status",
    // 修改默认值之后，需清除 localStorage 数据
    state: (): any => ({
        status: {
            setSupplier: [] //供应商
        }
    }),
    getters: {},
    actions: {
        // Set setSupplier
        setSupplier(data: any) {
            this.status.setSupplier = data;
        }
    },
    persist: piniaPersistConfig("wms-status")
});
